## org.hibernate.event
Interface Destructible

    public interface Destructible

Contract for listeners which require notification of SessionFactory closing, presumably to destroy internal state.

Author:
  Steve Ebersole

Method Summary
`void` `cleanup()` Notification of `SessionFactory` shutdown.

Method Detail

### cleanup

    void cleanup()

  Notification of `SessionFactory` shutdown.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.